Skip to main content
`Ctrl`+`K`

# PetscDrawBarSort

Sorts the values before drawing the bar chart, the bars will be in ascending order from left to right

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscDrawBarSort(PetscDrawBar bar, PetscBool sort, PetscReal tolerance)

Logically Collective

## Input Parameters

- bar - The bar graph context

- sort - `PETSC_TRUE` to sort the values

- tolerance - discard values less than tolerance

## See Also

`PetscDrawBar`, `PetscDrawBarCreate()`, `PetscDrawBarSetData()`, `PetscDrawBarSetColor()`, `PetscDrawBarDraw()`, `PetscDrawBarGetAxis()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/bars.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages